Bug 151147 - exim unable to send mail to localhost or localhost.localdomain
exim unable to send mail to localhost or localhost.localdomain
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-15 08:37 EST by John Horne
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-07-11 05:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Horne 2005-03-15 08:37:51 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
Not sure this is a bug as such, but...

Installed exim as MTA. Using local user account 'john', email to 'john@localhost' fails with:

=======================================================
exim -bt john@localhost
LOG: MAIN
  remote host address is the local host: localhost (while routing <john@localhost>)
john@localhost cannot be resolved at this time:
  remote host address is the local host
=======================================================

and 'john@localhost.localdomain' fails with:

=======================================================

exim -bt john@localhost.localdomain
john@localhost.localdomain is undeliverable:
  Unrouteable address
=======================================================

This does not seem to be a problem with sendmail as it seems to re-address these addresses to the local hosts actual (FQDN) name.

Some software, eg smartd in /etc/smartd.conf, uses the local addresses (root@localhost.localdomain) to report disk problems. As such exim should be able to handle these addresses.

Version-Release number of selected component (if applicable):
exim-4.43-1.FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Install exim using 'up2date -i exim' or 'yum install exim'.
2. Test sending a message to a local account using the command 'exim -bt root@localhost'.
3.
  

Actual Results:  Output shows that sending a message to the local host addresses fails.

Expected Results:  Email should be delivered to the local account.

Additional info:

I have a caching name server installed (caching-nameserver-7.3-3) so the local DNS knows about 'localhost' and 'localhost.localdomain'. Without this I suspect an 'unrouteable domain' error would be produced.

My /etc/hosts contains:

====================================================================
127.0.0.1       localhost.localdomain localhost

141.163.66.135  ltsp.csd.plymouth.ac.uk     ltsp
=====================================================================

as the server is configured with a static IP address. On a PC using DHCP hostname (FQDN name) are all on the 127.0.0.1 line. As such email to the local addresses still fails.

Sending mail to 'ltsp.csd.plymouth.ac.uk' works as exim sees this as the 'primary_hostname'.

I have modified /etc/exim/exim.conf to include 2 rewrite rules:

   *@localhost               $1@$primary_hostname
   *@localhost.localdomain   $1@$primary_hostname

'exim -bP primary_hostname' shows this to be 'ltsp.csd.plymouth.ac.uk'. As such the above rewrites work and local mail can now be delivered. However, I'm not convinced that is the best solution :-)
Comment 1 Matthew Miller 2006-07-10 18:42:29 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Horne 2006-07-11 05:56:42 EDT
Exim has moved out of the Core packages and into Fedora Extras. I'll retest this
bug (I think it still exists with the FC5 extras), and open a new bug report
under Fedora Extras if necessary. I'll close this bug report - if I can,


John.
Comment 3 Matthew Miller 2006-07-11 12:08:23 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.